#This file generate a shell script setting environment for specified target or $ATLTGT and execute it to be available from command line 
#echo off
TestRTperl -x -S -I"$TESTRTDIR/lib/perl" $0 $*
if [ -f "/tmp/setenvTDP.sh" ] 
then
/tmp/setenvTDP.sh
#rm /tmp/setenvTDP.sh 
fi
exit
#rem ';
#!perl
my $xterm=$ENV{XTERM}.' &'; # is the executed binary to start an xterm 
$xterm='gnome-terminal &' unless(defined $ENV{XTERM}); # ubuntu18,suse
die "Environment variable TESTRTDIR not found. Exiting.\n\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION
$TESTRTDIR="$ENV{'TESTRTDIR'}";
$SCRIPTDIR="$TESTRTDIR/lib/scripts/";
#push(@INC,"$TESTRTDIR/lib/perl");
require $SCRIPTDIR . "Fcts.pl";

if(($ARGV[0] eq 'studioTools') || (($ARGV[1] eq 'studioTools') && ($ARGV[0] eq ''))) {
print "### Select a node before executing this tools ###\n";
die "use of previous environment\n";
}
unless(-d $ENV{ATLTGT} && $ARGV[0] eq ''){
	my $n=$ARGV[0];
	if($n ne ''){
		if( $n =~ /[\\\/]/ ) {
			$ENV{ATLTGT}=$n;
		} else {
		$n=~s,\.xdp$,,;
		my $d=$ENV{HOME}.'/.TestRealTime/'.$VERSION.'/targets/'.$n;
		if(-d $d){
			$ENV{ATLTGT}=$d;
		} else {
		   $d=$ENV{TESTRTDIR}.'/targets/'.$n;
		   $ENV{ATLTGT}=$d if(-d $d);
		}
			print "Setting ATLTGT to $d\n";
		}
	}
}
if(-d $ENV{ATLTGT}){
    
	my %machinenv=%ENV;
	$INIFILE='tp.ini';
	$INIFILE='ada95.ini' if(-e $ENV{ATLTGT}.'/ada95.ini');
	DecodeIniFile();
	my $batch="/tmp/setenvTDP.sh";
	my $tdpBat="$ENV{ATLTGT}/tp.sh";
	if(-f $tdpBat) {
		copy($tdpBat,$batch);
	}
	else
	{
		open(BAT,">$batch") || die "Unable to write $batch\n";
	
	foreach $k (keys %ENV){
		if($machinenv{$k} ne $ENV{$k}){
			$ENV{$k}=~s,\Q$machinenv{$k}\E,\%$k\%, if($machinenv{$k});
			print BAT "export $k=$ENV{$k}\n";
		}
	}
	print BAT "export ATLTGT=$ENV{ATLTGT}\n";
	print BAT "echo environment set for $ENV{ATLTGT}\n";
	print BAT "$xterm\n";
	close BAT;
	chmod(0777,$batch);
	copy($batch,$tdpBat);
	}
} else { print "ATLTGT not set to TDP. ARGV is $ARGV[0]\n";}

__END__

